<?
##################################################
## Автор: -=ШАХТЕР=-                             #                                                                                                                                                                                 ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является БЕСПЛАТНОЙ!    #
## Версия чата: voblja 4.1 LITE                  #
## Полная версия: 4.1 FUll                       #
## http://masteram.us - Закрытый клуб мастеров;) #
##################################################

require'config.php';
$user['avr'] = 0;
$align='left';
$title='Сказать';
head();
aut();

if (!ctype_digit($_GET['rm'])){header('Location: index?'.SID);die;}
if (!ctype_digit($_GET['nk'])){header('Location: index?'.SID);die;}
$rm = intval($_GET['rm']);
$nk = intval($_GET['nk']);
who_add($rm,'room'); // Занисываем Кто онлайн...
$db->sql_query ("Select rm from rooms where rm='".$rm."';");
if (mysql_affected_rows() == 0){echo "Такой комнаты не существует!";foot();exit;}


$select = @$db->sql_query ("Select * from users where id='".intval($nk)."'");



if (mysql_affected_rows() == 0){
echo "Юзер не найден. Возможно ник удалён.<br/>";
echo gb.'<a href="room?rm='.$rm.'">В чат </a>'.div;
foot();
exit;
}
$inf = $db->sql_fetchrow ($select);

if (ignor(user_inf($inf['id']),$user['id'])==1){
echo 'Пользователь <b>'.$inf['user'].'</b> отправил вас в игнор!<br />';
echo gb.'<a href="room?rm='.$rm.'">В чат </a>'.div;
foot();
exit;
}

$usid = $inf["id"];
$nick = $inf["user"];
$usname = $inf["name"];
$birth = $inf["birth"];
$sex = $inf["sex"];
$city = $inf["city"];
$mail = $inf["mail"];
$site = $inf["site"];
$infa = $inf["infa"];
$icq = $inf["icq"];
$posts = $inf["posts"];
$credits = $inf["credits"];
$gposts = $inf["gposts"];
$status = $inf["status"];
$date = $inf["date"];
$op = $inf["op"];
$onl = $inf["onl"];
$mob = $inf["mob"];
$us_ip = $inf["user_ip"];
$us_soft = $inf["user_soft"];
$img = $inf["img"];
$nastroi = $inf["nastroi"];
$visit = $inf["visit"];
$room = $inf["room"];
$byeotv = $inf["byeotv"];
$number = $inf["number"];
$level = $inf["level"];
$fr = $inf["friends"];
$mysmile = $inf["mysmile"];
$votefoto = $inf["votefoto"];
$ign = $inf["ignor"];
$bee = $inf["site"];
$myavatar = $inf["myavatar"];
$version = $inf["version"];
$postmag = $inf["postmag"];
$alltraf = $inf["alltraf"];
$postsf = $inf["postsf"];
$idpass = $inf["pass"];
$rating = $inf["rating"];
$clan = $inf["clan"];
$myblogs = $inf["myblogs"];
$monets = $inf["money"];
$presentset = $inf["presentset"];



if ($credits>=0 && $credits<100) $victstatus="Ученик";
if ($credits>=100 && $credits<500) $victstatus="Студент";
if ($credits>=500 && $credits<1000) $victstatus="Бакалавр";
if ($credits>=1000 && $credits<2000) $victstatus="Магистр";
if ($credits>=2000 && $credits<5000) $victstatus="Кандидат в доктора";
if ($credits>=5000 && $credits<7000) $victstatus="Доктор наук";
if ($credits>=7000) $victstatus="Учитель НеЗнайки =)";


$levelselect = @$db->sql_query ("Select * from levels where level='".$level."'");
$levels = @$db->sql_fetchrow($levelselect);
$levname = $levels["name"];


echo "Сообщение для <b>".$nick."</b><br/>";



if ($ver!='wml')echo '<form action="tell?rm='.$rm.'&amp;act=add&amp;nk='.$nk.'&amp;'.SID.'" method="post">';
if ($ver=='wml')echo '<br/><input name="msg'.$ref.'" maxlength="512" title="Text"/><br/>';
else echo '<br/><input type="text" name="msg" maxlength="512" title="Text"/><br/>';

echo "<select name=\"prvt\">";
echo "<option value=\"0\">Всем</option>";
echo "<option value=\"1\">Приватно</option>";
echo "</select><br/>";

if ($user['dd']!=0){
if ($user['level']>=4){
echo '<select name="dd">
<option value="0" selected="selected">Шрифт</option>
<option value="1">Наклонный</option>';
if ($user['level']>=5) echo '<option value="2">Подчёркнутый</option>';
if ($user['level']>=6) echo '<option value="3">Накл. и подч.</option>';
if ($user['level']>=6) echo '<option value="4">Жирный</option>';
if ($user['level']>=7) echo '<option value="5">Жирн. и подч.</option>';
if ($user['level']>=7) echo '<option value="6">Огромный</option>';
echo '</select><br />';
}
}
if ($user['emo']!=0){
echo '<select name="emo">
<option value="0" selected="selected">Эмоции</option>
<option value="1">Радостно</option>
<option value="2">Печально</option>
<option value="3">Удивленно</option>
<option value="4">Ласково</option>
<option value="5">Смущенно</option>
<option value="6">Кокетливо</option>
<option value="7">Обиженно</option>
<option value="8">Настойчиво</option>
<option value="9">Шепотом</option>
<option value="10">Задумчиво</option>
<option value="11">Злобно</option>
</select><br />';
}
if ($user['color']!=0){
echo '<select name="color">
<option value="0" selected="selected">Цвет</option>
<option value="1">Красный</option>
<option value="2">Синий</option>
<option value="3">Сереневый</option>
<option value="4">Зеленый</option>
</select><br />';

}
if ($ver=='wml'){
echo '<anchor title="go">Сказать<go href="tell?rm='.$rm.'&amp;act=add&amp;nk='.$nk.'&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/>
<postfield name="dd" value="$dd"/>
<postfield name="emo" value="$emo"/>
<postfield name="color" value="$color"/>
<postfield name="prvt" value="$prvt"/>
</go></anchor><br />';

}else{
echo '<input type="submit" class="ibutton" value="Сказать"/></form><br />';
}
echo '<br />';

$b_ip = $db->sql_fetchrow($db->sql_query ("Select * from bannip;"));
$db->sql_query ("Select * from bannlist WHERE (ip = '".$inf[user_ip]."')and(soft = '".$inf[user_soft]."') LIMIT 1;");
if ((mysql_affected_rows()!=0)||($inf[bann]>$time)||(substr_count($ip, $b_ip[ip])!=0)){
echo "<font color=\"red\"><b>Пользователь в бане!</b></font><br />";
}



echo "<br />&#187; <u>Ник</u>: <b>".nik($nick)."</b><br/>";

echo "&#187; <u>ID</u>: $inf[id]<br/>";
echo '&#187; <u>Имя</u>: '.$inf[name].'<br/>';
echo '&#187; <u>Фамилия</u>: '.$inf[surname].'<br/>';
echo '&#187; <u>Статус</u>: <b>'.$inf[status].'</b><br/>';

if(($inf[level]<4))echo "&#187; <u>Уровень</u>: <b>$levname</b><br/>";
if(($inf[level]>3)) echo "&#187; <u>Должность</u>: <b>$levname</b><br/>";
if($inf[sp]==1)$a = 'Не женат';
elseif($inf[sp]==2)$a = 'Не замужем';
elseif($inf[sp]==3)$a = 'Встречаюсь';
elseif($inf[sp]==4)$a = 'Встречаюсь';
elseif($inf[sp]==5)$a = 'Помолвлена';
elseif($inf[sp]==6)$a = 'Помолвлен';
elseif($inf[sp]==7)$a = 'Женат';
elseif($inf[sp]==8)$a = 'Замужем';
elseif($inf[sp]==9)$a = 'Влюблен';
elseif($inf[sp]==10)$a = 'Влюблена';
elseif($inf[sp]==11)$a = 'Все сложно';
elseif($inf[sp]==12)$a = 'Все сложно';
elseif($inf[sp]==13)$a = 'Бегаю';
elseif($inf[sp]==14)$a = 'Бегаю';
elseif($inf[sp]==15)$a = 'В активном поиске';
elseif($inf[sp]==16)$a = 'В активном поиске';

$us = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$inf[sp_u]."'"));

if ( !empty($inf['sp_u']) AND ($inf['sp'] == !0) AND ($inf['sp'] != 1) AND ($inf['sp'] != 2) AND ($inf['sp'] != 15) AND ($inf['sp'] != 16) ) {
if ( ($inf['sp'] == 3) OR ($inf['sp'] == 4) OR ($inf['sp'] == 5) OR ($inf['sp'] == 6) OR ($inf['sp'] == 11) OR ($inf['sp'] == 12) ) $b = 'с <b><a href='.$us['id'].'>'.$us['user'].'</a></b>';
if ( ($inf['sp'] == 7) ) $b = 'на <b><a href='.$us['id'].'>'.$us['user'].'</a></b>';
if ( ($inf['sp'] == 8) OR ($inf['sp'] == 13) OR ($inf['sp'] == 14) ) $b = 'за <b><a href='.$us['id'].'>'.$us['user'].'</a></b>';
if ( ($inf['sp'] == 9) OR ($inf['sp'] == 10) ) $b = 'в <b><a href='.$us['id'].'>'.$us['user'].'</a></b>';
}

if ($inf['sp'] !=0) echo '&#187; <u>Семейное положение:</u> '.$a.' '.$b.'<br/>';


if ($user['anketa']!=0){

if($inf[nastroi]!='') echo "&#187; <u>Hacтpoeниe</u>: $inf[nastroi]<br/>";

if($inf[day]!=0||$inf[month]!=0||$inf[year]!=0)echo "&#187; <u>День рождения</u>: $inf[day]-$inf[month]-$inf[year]<br/>";
if ($inf[sex]==1)echo "&#187; <u>Пол</u>: Мужской<br/>";
else if ($inf[sex]==0)echo "&#187; <u>Пол</u>: Женский<br/>";
if($inf[country]!='')echo "&#187; <u>Страна</u>: $inf[country]<br/>";
if($inf[city]!='')echo "&#187; <u>Город</u>: $inf[city]<br/>";

echo "&#187; <u>Постов</u>: $posts (сегодня: ".$inf['dayp'].")";
if ($gposts<0){
$vyig = " <u>Проиграл постов</u>";
}elseif ($gposts>=0){
$vyig = " <u>Выиграл постов</u>";
}
$gposts = strtr($gposts, array ('-' => ''));
echo "<br />&#187;$vyig: $gposts<br/>";
echo "&#187; <u>Постов</u> в <a href=\"forum/index\">Форумe</a>: $postsf<br />";
echo "&#187; <u>Денег</u>: ".$inf['rur']."<br/>";

echo "&#187; <u>Ответов</u>: $credits (сегодня: ".$inf['daya'].")<br />";
if ($byeotv>0)echo "&#187; <u>Куплено</u>: $byeotv<br/>";

echo "&#187; <u>Ученая степень</u>: $victstatus<br/>";


echo "&#187; <u>О себе</u>: $infa<br/>";
echo "&#187; <u>Дата регистраци</u>и: $date<br/>";
echo "&#187; <u>Потрачено трафика</u>: $alltraf Кб<br/>";
}
echo '<br />';
echo links.'&#187; <a href="'.H.$inf[id].'">Полная Анкета</a>'.div;
echo links.'&#187; <a href="my/privat?mod=add&amp;to='.$inf[id].'">Личное сообщение</a>'.div;

if($user[level]>=7){
echo '<br /><b><a href="admin/users?mod=view&amp;nick='.$inf[id].'">Апдейт юзера</a></b><br/><br />'; }


if($user["level"]>5){
if(($inf["level"]<7)||($user["level"]>6)){
echo $div5;
echo "<b>IP:</b> ".$us_ip." (".opsos($us_ip).")<br/>";
echo "<b>Soft:</b> ".$us_soft."<br/>";
if ($inf[ver]==wml) echo "<b>Версия сайта:</b> WML<br/>";
else echo "<b>Версия сайта:</b> xHTML<br/>";
echo $div5;
}
}





/*echo "<a href=\"forum/?$ses&amp;nk=$usid&amp;mod=temus\">Все темы пользователя на форуме</a><br/>";
echo "<a href=\"forum/?$ses&amp;nk=$usid&amp;mod=postus\">Все сообщения пользователя на форуме</a><br/>";*/

echo gb.'<a href="room?rm='.$rm.'">В чат </a>'.div;
foot();
?>
